/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui.dlg;

import java.io.IOException;
import java.util.*;
import org.w3c.dom.*;
import com.silverwrist.util.*;
import com.silverwrist.venice.except.*;
import com.silverwrist.venice.ui.*;

public class LanguageListField extends PickListField
{
  /*--------------------------------------------------------------------------------
   * Static data members
   *--------------------------------------------------------------------------------
   */

  public static final String TAGNAME = "languagelist";

  /*--------------------------------------------------------------------------------
   * Constructors
   *--------------------------------------------------------------------------------
   */

  public LanguageListField(String name, String caption, String caption2, boolean required)
  {
    super(name,caption,caption2,required,International.get().getLanguageList());

  } // end constructor

  public LanguageListField(Element elt) throws ConfigException
  {
    super(elt,International.get().getLanguageList());

  } // end constructor

  protected LanguageListField(LanguageListField other)
  {
    super(other);

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Overrides from class PickListField
   *--------------------------------------------------------------------------------
   */

  protected String getChoiceName(Object o)
  {
    return ((Language)o).getCode();

  } // end getChoiceName

  protected String getChoiceValue(Object o)
  {
    return ((Language)o).getName();

  } // end getChoiceValue

  /*--------------------------------------------------------------------------------
   * Implementations from interface DialogField
   *--------------------------------------------------------------------------------
   */

  public void setValue(Object o)
  {
    if ((o!=null) && (o instanceof Language))
      super.setValue(((Language)o).getCode());
    else
      super.setValue(o);

  } // end setValue

  public DialogField duplicate()
  {
    return new LanguageListField(this);

  } // end duplicate

} // end class LanguageListField
